Loading...
Searching...
No Matches
NonlinearConjugateGradientOptimizer.h File Reference

Simple non-linear optimizer that solves using non-preconditioned CG. More...

Go to the source code of this file.

## Classes

class | gtsam::NonlinearConjugateGradientOptimizer
| An implementation of the nonlinear CG method using the template below. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

template<class S, class V, class W>
double | gtsam::lineSearch (const S &system, const V currentValues, const W &gradient)
| Implement the golden-section line search algorithm.
template<class S, class V>
boost::tuple< V, int > | gtsam::nonlinearConjugateGradient (const S &system, const V &initial, const NonlinearOptimizerParams &params, const bool singleIteration, const bool gradientDescent=false)
| Implement the nonlinear conjugate gradient method using the Polak-Ribiere formula suggested in http://en.wikipedia.org/wiki/Nonlinear_conjugate_gradient_method.

## Detailed Description

Simple non-linear optimizer that solves using non-preconditioned CG.

Author
  Yong-Dian Jian

Date
  June 11, 2012